/*************************************************/
/* Dclarations communes au client et au serveur */
/*************************************************/


/** Point d'accs permettant sur lequel le serveur est tout le 
 * temps  l'coute.
 */
#define NOM_POINT_ACCES_SERV "./client-serveur"

/** Taille maximum d'un point d'accs */
#define TAILLE_POINT_ACCES 128

/** Taille maximum d'un M. et Mme */
#define TAILLE_M_ET_MME 256

/**
 * \enum typMessage_t
 * \brief Type de message circulant entre le client et le serveur.
 *
 * typMessage_t dfinit les types de message circulant dans 
 * les sens client-->serveur et serveur-->client
 */
typedef enum
{
  CONNEXION,      /*!< (sens client-->serveur) Demande de connexion. */
  CONNEXION_OK,   /*!< (sens serveur-->client) Demande accepte. */
  REQUETE,        /*!< (sens client-->serveur) Demande du M. et Mme suivant. */
  REQUETE_OK,     /*!< (sens serveur-->client) Envoi d'un M. et Mme. */
  REQUETE_KO      /*!< (sens serveur-->client) Plus de M. et Mme. */
}
typMessage_t;

/**
 * \struct message_t
 * \brief Message circulant entre le client et le serveur.
 *
 * message_t dfinit les structures de message circulant dans les 
 * sens client-->serveur et serveur-->client
 */
typedef struct
{
  typMessage_t typ; /*!< Type de message */
  union {
    char pointAcces[TAILLE_POINT_ACCES]; /*!< Nom du point d'accs. */
    char mEtMme[TAILLE_M_ET_MME]; /*!< M. et Mme stock dans le message. */
  } infoSup; /*!< Info supllmentaire associe  ce message. */
}
  message_t;

